BANK WOORI SAUDARA - Bug #2076

[ESS-Leave] Condition
03/20/2023 04:46 PM - Johanes Christian Kurni

Status: Closed Start date: 03/20/2023
Priority: High Due date:

Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.30 hours
Description

Dear Azid,

Mohon bantuannya untuk membuatkan kondisi sebagai berikut:

.cond_1

.cond_2

.cond_3

. cond_leave_type
. cond_dir_bs

a b wmn =

Penjelasan.

® Point nomor 1-3 kondisi tersebut membaca apakah requester IsHead atau bukan dan melihat organization level nya direktur,
kepala divisi,
kepala cabang.

¢ Point nomor 4 kondisi tersebut membaca jenis cuti apakah cuti tersebut diluar tanggungan atau bukan, jika bukan maka
langsung posting ||
jenis cuti diluar tanggungan juga melihat berapa hari, Jika < 5 hari maka langsung ke grup HC ,jika > 5 hari maka ke direktur
terkait || Jika
requester cuti di luar tanggungan adalah direktur maka langsung ke grup HC.

¢ Point nomor 5 kondisi ini membaca jika requester nya direktur langsung posting || jika yang requester nya adalah bawahan dari
Direktorat
Business Supoort maka langsung posting dan apa bila requester nya bukan maka lanjut ke approval direktor business support ||
Jika lebih dari
< 5 hari atau > 5 hari tetap ke approval selanjutnya yaitu approval business suport.

BizProcessID: WFLeaveNEW
BizFlowID: MD_LeaveNEW

Port: http://bws.minovaiscloud.com:31128/
Server: 45.251.75.66
DB: MinovaES_BWS_DevProd

History

#1 - 03/21/2023 10:41 AM - M Azid Wahyudi

note point 1 :
requester cek dulu berdasarkan organisasi level

#2 - 03/21/2023 10:46 AM - Johanes Christian Kurni

OrganizationLevel OrganizationLevelDesc

1000 Holding

2000 Company

3000 Directorate

4000 Division

4100 Department

4200 Unit

4300 Kepala Cabang (KC)
4400 Bagian (KC)

4500 Bidang (KC)

4600 Kepala Cabang Pembantu (KCP)
4700 Bagian (KCP)

4800 Bidang (KCP)
http://bws.minovaiscloud.com:31128/

5000 Manager
6000 Supervisor
7000 Staff

#3 - 03/21/2023 02:38 PM - Johanes Christian Kurni
- File clipboard-202303211438-offje.png added

om Skenario Durasi L Creator Ds1 Ds2 Ds3
Requester staff 00000062
Direktorat Tl dan Jaringan & Operasi r
Departemen Operasional & Infrastruktur T1 Requester Kadiv 00000054
Unit Operasional & Aplikasi T r
Kantor Pusat Requester Direktur 00001397

r
Direktorat Business Support

Divisi Human Capital

o Requester Kepala Unit 00000142
Departemen Pembangunan Organisasi
Unit Performance Manajemen

r
KantorCabiang Requster Staff 00001219

Kantor Cabang Kantcor Cabang D?npasar N

Bidang Operasional

Requester Kepala Cabang 00001207

Bagian Operasional

#4 - 03/21/2023 02:47 PM - Johanes Christian Kurni

00000062
00000054
00001597
00000142
00001219
00001207

#5 - 03/21/2023 03:18 PM - Johanes Christian Kurni

Note:
Kondisi

1. cond_1
2.cond_2
3.cond_3

Kondisi-kondisi ini melihat approval IsHead atau bukan dan melihat organization level nya direktur, kepala divisi,

kepala cabang.

Contohnya:

1.Di kantor pusat mencari approval sampai ke kepala divisi ini untuk yang levelnya dibawah kadiv, tetapi jika level nya
requesternya dari kadiv sampai ke atas maka cuma sekali approve.

2.Di kantor cabang mencaro approval sampai kelapa cabang ini unutk yang levelnya dibawah kepala cabang, tetapi jika level nya
requesternya dari kadiv sampai ke atas maka cuma sekali approve.

#6 - 03/24/2023 10:22 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , udah bisa di test ya

package :

custparam

- Cond1iLeave

- Cond2Leave

- Cond3Leave

- CondBS

- CondUnpaidLeaveType
- ExitClrDirectSpviOM
- ExitCIrDirectSpv20OM
- ExitClrDirectSpv3OM
- ExitClrDirectSpv4OM

deftask (taskid)

-cond_1
- apv_ds2
-cond_2

- apv_ds3
-cond_3

- apv_ds4

- cond_leave_type
- apv_director

- cond_dir_bs

makasih

#7 - 03/27/2023 04:16 PM - Johanes Christian Kurni

- Status changed from QA Test to Assigned

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

Dear Azid,

Saat di testing kondisi "cond_1" belum membaca jika requesternya sebagai Kadiv.
Terima kasih.

#8 - 03/27/2023 04:39 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo , coba test lagi

package :
custparam
- Cond1iLeave
- Cond2Leave
- Cond3Leave

makasih

#9 - 03/28/2023 01:24 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed
